/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.kaleo.model;

import com.liferay.petra.sql.dsl.Column;
import com.liferay.petra.sql.dsl.base.BaseTable;

import java.sql.Clob;
import java.sql.Types;

import java.util.Date;

/**
 * The table class for the &quot;KaleoNotificationRecipient&quot; database table.
 *
 * @author Brian Wing Shun Chan
 * @see KaleoNotificationRecipient
 * @generated
 */
public class KaleoNotificationRecipientTable
	extends BaseTable<KaleoNotificationRecipientTable> {

	public static final KaleoNotificationRecipientTable INSTANCE =
		new KaleoNotificationRecipientTable();

	public final Column<KaleoNotificationRecipientTable, Long> mvccVersion =
		createColumn(
			"mvccVersion", Long.class, Types.BIGINT, Column.FLAG_NULLITY);
	public final Column<KaleoNotificationRecipientTable, Long>
		kaleoNotificationRecipientId = createColumn(
			"kaleoNotificationRecipientId", Long.class, Types.BIGINT,
			Column.FLAG_PRIMARY);
	public final Column<KaleoNotificationRecipientTable, Long> groupId =
		createColumn("groupId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Long> companyId =
		createColumn(
			"companyId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Long> userId =
		createColumn("userId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, String> userName =
		createColumn(
			"userName", String.class, Types.VARCHAR, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Date> createDate =
		createColumn(
			"createDate", Date.class, Types.TIMESTAMP, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Date> modifiedDate =
		createColumn(
			"modifiedDate", Date.class, Types.TIMESTAMP, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Long>
		kaleoDefinitionId = createColumn(
			"kaleoDefinitionId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Long>
		kaleoDefinitionVersionId = createColumn(
			"kaleoDefinitionVersionId", Long.class, Types.BIGINT,
			Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Long>
		kaleoNotificationId = createColumn(
			"kaleoNotificationId", Long.class, Types.BIGINT,
			Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, String>
		recipientClassName = createColumn(
			"recipientClassName", String.class, Types.VARCHAR,
			Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Long>
		recipientClassPK = createColumn(
			"recipientClassPK", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Integer>
		recipientRoleType = createColumn(
			"recipientRoleType", Integer.class, Types.INTEGER,
			Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, Clob> recipientScript =
		createColumn(
			"recipientScript", Clob.class, Types.CLOB, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, String>
		recipientScriptLanguage = createColumn(
			"recipientScriptLanguage", String.class, Types.VARCHAR,
			Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, String>
		recipientScriptContexts = createColumn(
			"recipientScriptContexts", String.class, Types.VARCHAR,
			Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, String> address =
		createColumn(
			"address", String.class, Types.VARCHAR, Column.FLAG_DEFAULT);
	public final Column<KaleoNotificationRecipientTable, String>
		notificationReceptionType = createColumn(
			"notificationReceptionType", String.class, Types.VARCHAR,
			Column.FLAG_DEFAULT);

	private KaleoNotificationRecipientTable() {
		super(
			"KaleoNotificationRecipient", KaleoNotificationRecipientTable::new);
	}

}